%global php_moduledir %(php-config --extension-dir)

Summary: C library for op5 Licensing
Name: libop5license
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/system-addons
License: op5 Software License
Prefix: /usr
Source: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: i386 x86_64
Requires: lua >= 5.1
# For backbox
Requires: openssl
BuildRequires: op5license-tests
BuildRequires: lua-devel >= 5.1
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: check-devel
BuildRequires: valgrind
# For backbox
BuildRequires: openssl-devel
Requires: nss
BuildRequires: nss-devel
BuildRequires: pkgconfig

%description
This package provides a C library for accessing lua-based (v3) licenses

%package -n php-op5license
Summary: PHP bindings for libop5license
Group: op5/system-addons
Requires: libop5license
Requires: httpd
BuildRequires: op5-phpunit
BuildRequires: op5license-generator
BuildRequires: php-devel
%description -n php-op5license
This package provides PHP bindings for libop5license

%files -n php-op5license
%defattr(-, root, root, -)
%{_sysconfdir}/php.d/op5license.ini
%{php_moduledir}/op5license.so

%prep
%setup -q

%build
echo %{version} > .version_number
autoreconf -i
%configure --with-testdatadir=%{_localstatedir}/op5license-tests --enable-php=yes
make

%install
%make_install
mkdir -p -m 755 %buildroot%{_sysconfdir}/php.d
install -p -m 755 bindings/php/op5license.ini %buildroot%{_sysconfdir}/php.d/op5license.ini

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post -n php-op5license
%if 0%{?rhel} >= 7
systemctl try-restart httpd
%else
service httpd restart
%endif

%postun -n php-op5license
%if 0%{?rhel} >= 7
systemctl try-restart httpd
%else
service httpd restart
%endif

%files
%defattr(-, root, root)
%{_includedir}/op5
%{_libdir}/libop5license.*

%check
CK_TIMEOUT_MULTIPLIER=10 VERBOSE=true OP5_LICENSE_DEBUG=1 make check
